View Issue Details

IDProjectCategoryView StatusLast Update
0002584SymmetricDSImprovementpublic2016-06-10 08:00
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.7.0 
Target Version3.7.33Fixed in Version3.7.33 
Summary0002584: Improve capture of LOBs and wide tables on DB2
DescriptionAllow data capture on DB2 when table has many columns or contains LOB data that pushes past the result set limit and causes an error. The Oracle dialect does a trick to cast the result set to_clob() to get past the limit, which seems to also work on DB2. The user can enable it with sym_trigger.use_capture_lobs = 1.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 b9545a3a

2016-05-02 16:51:41

admin

Details Diff
0002584: Improve capture of LOBs and wide tables on DB2
0002584
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2As400TriggerTemplate.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2TriggerTemplate.java Diff File

SymmetricDS: 3.7 c4765b80

2016-06-08 16:44:08

admin

Details Diff
0002636: Issue 0002584 in 3.7.33 broke AS/400 triggers
0002584, 0002636
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2As400TriggerTemplate.java Diff File

SymmetricDS: 3.7 11dfb540

2016-06-09 17:07:24

josh-a-hicks

Details Diff
0002636: Issue 0002584 in 3.7.33 broke AS/400 triggers
0002584, 0002636
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2As400TriggerTemplate.java Diff File

SymmetricDS: 3.7 c0a7d192

2016-06-10 07:06:09

josh-a-hicks

Details Diff
0002636: Issue 0002584 in 3.7.33 broke AS/400 triggers
0002584, 0002636
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/db2/Db2As400DatabasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2016-05-02 16:50 elong New Issue
2016-05-02 16:50 elong Status new => assigned
2016-05-02 16:50 elong Assigned To => elong
2016-05-03 12:00 admin Changeset attached => SymmetricDS 3.7 b9545a3a
2016-05-24 08:09 elong Status assigned => resolved
2016-05-24 08:09 elong Fixed in Version => 3.7.33
2016-05-24 08:09 elong Resolution open => fixed
2016-05-24 08:09 elong Status resolved => closed
2016-06-08 17:00 admin Changeset attached => SymmetricDS 3.7 c4765b80
2016-06-10 08:00 josh-a-hicks Changeset attached => SymmetricDS 3.7 c0a7d192
2016-06-10 08:00 josh-a-hicks Changeset attached => SymmetricDS 3.7 11dfb540